{
 "metadata": {
  "name": "",
  "signature": "sha256:3bdc6e4f94a43631b3939866471baa9e2034dee779f3da8275dbac62e0a029c2"
 },
 "nbformat": 3,
 "nbformat_minor": 0,
 "worksheets": [
  {
   "cells": [
    {
     "cell_type": "heading",
     "level": 1,
     "metadata": {},
     "source": [
      "Segmentation"
     ]
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "In audio processing, it is common to operate on one frame at a time. Frames are typically chosen to be 10 to 100 ms in duration."
     ]
    },
    {
     "cell_type": "heading",
     "level": 2,
     "metadata": {},
     "source": [
      "`essentia.standard.FrameGenerator`"
     ]
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "For this workshop, we will use [`essentia.standard.FrameGenerator`](http://essentia.upf.edu/documentation/reference/std_FrameGenerator.html) to segment our audio signal.\n",
      "\n",
      "Let's create an audio sweep signal that is frequency modulated from 110 Hz to 880 Hz. Then, we will segment the signal and compute the **zero crossing rate** for each frame.\n",
      "\n",
      "First, set our parameters:"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "T = 3.0\n",
      "fs = 44100.0\n",
      "f0 = 440*logspace(-2, 1, T*fs, endpoint=False, base=2.0)\n",
      "print f0.min(), f0.max()"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "output_type": "stream",
       "stream": "stdout",
       "text": [
        "110.0 879.9861686\n"
       ]
      }
     ],
     "prompt_number": 1
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "Create the signal:"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "import essentia\n",
      "t = linspace(0, T, T*fs, endpoint=False)\n",
      "x = essentia.array(sin(2*pi*f0*t))"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [],
     "prompt_number": 2
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "Listen to the signal:"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "from IPython.display import Audio\n",
      "Audio(x, rate=fs)"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "html": [
        "\n",
        "                <audio controls=\"controls\" >\n",
        "                    <source src=\"data:audio/wav;base64,[encoded data, 352860 characters]\" type=\"audio/wav\" />\n",
        "                    Your browser does not support the audio element.\n",
        "                </audio>\n",
        "              "
       ],
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 3,
       "text": [
        "<IPython.lib.display.Audio at 0x391ab90>"
       ]
      }
     ],
     "prompt_number": 3
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "For each frame, compute the zero crossing rate, and display:"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "from essentia.standard import FrameGenerator, ZeroCrossingRate\n",
      "zcr = ZeroCrossingRate()\n",
      "frame_sz = 1024\n",
      "hop_sz = 512\n",
      "semilogy([zcr(frame) for frame in FrameGenerator(x, frameSize=frame_sz, hopSize=hop_sz)])"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 4,
       "text": [
        "[<matplotlib.lines.Line2D at 0x4a06f90>]"
       ]
      },
      {
       "metadata": {},
       "output_type": "display_data",
       "png": "iVBORw0KGgoAAAANSUhEUgAAAYAAAAEBCAYAAABxK3LCAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz\nAAALEgAACxIB0t1+/AAAG8hJREFUeJzt3X9cVXWex/E3KmmGOrqTjAJJCwiiCDSSZkODk47bOFGO\nmtCopdi0tubqVOOPdtebmWZNs6tZOk3mqDtjtrON1CSYuKLYD2n9MTqZGxUUgtr4axOVQDj7x3fF\nMLQLnsu5957X8/HgIfcC936+c5rzvuf7/Z7vN8SyLEsAANdp43QBAABnEAAA4FIEAAC4FAEAAC5F\nAACASxEAAOBSBAAAuBQBAAAu1c6XL3769Gk98MADat++vTIyMnT33Xf78u0AAM3g0yuAV199VXfd\ndZdeeOEFvfbaa758KwBAM/k0ACoqKhQVFSVJatu2rS/fCgDQTM0OgEmTJik8PFxJSUmNns/Pz1dC\nQoLi4uK0aNEiSVJkZKTKy8slSfX19TaUCwCwS0hzF4MrKipSWFiYJkyYoH379kmS6urqFB8fr4KC\nAkVERCgtLU1r165Vr169NHXqVHXo0EHp6enKzs72SSMAAM3X7EHg9PR0lZWVNXquuLhYsbGxio6O\nliRlZWUpNzdXs2bN0ksvvXTZ1wsJCWluCQAASVe6mLMtYwBf7euXTNdPRUWF139vWVbQfs2dO9fx\nGmgf7XNb29zQPjvYEgB8igeAwGNLAERERDQM9kpSeXm5IiMjvf57j8ejwsJCO0oBgKBWWFgoj8dj\ny2vZEgADBgxQSUmJysrKVFNTo3Xr1ikzM9Prv/d4PMrIyLCjFL8TrO06j/YFrmBumxS87cvIyLAt\nAJo9Cyg7O1tbt27VsWPH1L17d82bN08TJ05UXl6epk+frrq6OuXk5Gj27NneFRASYlt/FgC4hR3n\nzmYHgN0IAABoPjvOnX6xGBxjAADgHTvHALgCAIAAFDRXAACA1kcAAIBL+UUAMAYAAN5hDAAAXI4x\nAABAixEAAOBSBAAAuJRfBACDwADgHQaBAcDlGAQGALQYAQAALkUAAIBLEQAA4FJ+EQDMAgIA7zAL\nCABcjllAAIAWIwAAwKUIAABwKQIAAFyKAAAAl/KLAGAaKAB4h2mgAOByTAMFALQYAQAALkUAAIBL\nEQAA4FIEAAC4FAEAAC5FAACASxEAAOBSfhEA3AkMAN7hTmAAcDnuBAYAtBgBAAAuRQAAgEsRAADg\nUgQAALgUAQAALkUAAIBLEQAA4FIEAAC4FAEAAC5FAACAS/lFALAYHAB4h8XgAMDlWAwOANBiBAAA\nuBQBAAAuRQAAgEsRAADgUgQAALgUAQAALkUAAIBLEQAA4FIEAAC4FAEAAC5FAACASxEAAOBSBAAA\nuBQBAMBVLEvKy5OmTpU2bnS6Gmf5NABKS0s1efJkjRkzxpdvAwCXVVMjvfyy9LOfSXFx0qxZUlmZ\n9PrrTlfmLJ8GwPXXX68XX3zRl28BAE06ckRat06aMkWKiZFefFHq10/6j/+Q9uyR7r1XOnTI6Sqd\n1c7pAgDALidOSIsXS6+8Yk7u6elSRoa0YYOUlNT4d3v0IAC8ugKYNGmSwsPDlXTR/4L5+flKSEhQ\nXFycFi1aJElas2aNZsyYocrKSvurBYCvqK2Vtm+XPB7pe9+ToqJM187q1dLRo9Jrr0k///nXT/4S\nASB5uSdwUVGRwsLCNGHCBO3bt0+SVFdXp/j4eBUUFCgiIkJpaWlau3at+vTp0/B3x48f15w5c7R5\n82ZNnjxZM2fO/HoB7AkMoJk+/dR06Tz7rOneGTrUfN18s9Sxo3evceaM9Dd/Y/4NCfFtvb5gx7nT\nqy6g9PR0lZWVNXquuLhYsbGxio6OliRlZWUpNze3UQB069ZNy5cv/8bX/+oO9xkZGcrIyPCmLAAu\n8cUX0tNPS3v3SiUl0l//Kt15p/TnP0u9erXsNTt2lK66Sjp5Uura1d56faGwsFCFhYW2vmaLxwAq\nKioUFRXV8DgyMlI7duxo0Wt9NQAAQDLdO6tWSbm50tat0k9+YgZuo6KkG26Q2tgwhaVHD6myMjAC\n4OIPx4899tgVv2aLAyAkEK+ZAPg1y5JefVVatkz65BMpNlaaNMkEQbdu9r/f+XGAvn3tf+1A0OIA\niIiIUHl5ecPj8vJyRUZGtui1PB4PXT+AC1VXS5s3S+vXS6Wl0kcfSV26SHPnmq6dG27wbf98IA4E\n29kV5NUgsCSVlZXp9ttvbxgEPnfunOLj47V582b17NlTN95449cGgb0qgEFgwHUqKqTZs80sneRk\n05/fr58UESH16dN6g7IPPSSFh0u/+EXrvJ+d7Dh3etWLlp2drcGDB+vDDz9UVFSUVq5cqXbt2mnp\n0qUaPny4EhMTNXbs2Gaf/AG4x65dUmamFBZmunaio82A7tat0owZ0rBhUmJi687ICcQrADt5fQXg\nswK4AgCCUlWVWWph7Vpp/34zk2fePGnMGKlzZyk01OkKzdhCQYG0Zo3TlTRfq00D9TXGAIDg8OWX\nUn6+Oenn5Zl5+VlZ0k03Sd27m/59f9Khg6k5kDgyBuArXAEAga2+Xlq+XHr8cfMpPy3NnPRHj5a+\n/W2nq7u89eullSvNVNNAEzRXAAACi2VJS5eaT/v795uB1I0bpeuvlzp1cro677VvH3hXAHYiAAB8\no3PnpOeeM2vsnDhhllfu2VN69FEzmNu/f2Aup0AAAEAT6uvNAGl+vlRcbE6Wv/qVuRNXkq67TmoX\n4GcQAsAPMAgM+IeDB6UXXpA++MBM2+zSxczaue8+adw4qW1bpyu0VyAGAIPAAGxjWVJRkenTLyiQ\nfvpTs45+TIzv78R12r59Una29Je/OF1J8zEIDKDZjhyR3n3XfH/woPTrX5s+/alTzRLLnTs7W19r\nCsQrADsRAIBLWJa0YIH0y1+aefmhoWbGzjPPmLX0g/mT/qW0b2/WI3IrAgAIYidPSjk5ZqG16mpz\n49P+/WYJBHAF4BcBwCAwYJ+dO83iZjU10mefmfV3Hn3U/KxPH+nqq52tz58EYgAwCAygkepqs7HJ\n1q3SrFnSE09I8fHmZP/d77qze8cbZ8+azWACsRuIQWDA5aqrzbTNJ5802xvGx5tlDQYNcrqywNC+\nvblSsix3hqQNm6oBaA1VVWamTvv25mQVEmI+4RcUSG+8IZWVmeUYOPl7r00bc29Dba3TlTiDKwDA\njx09anbJsizpn//ZrKh58KB07bVOVxY8zo8DXHWV05W0Pr8IAAaBgcbOnJH+9V/NV0yM+bT/3e9K\nS5YE3924TjsfAIGyiB2DwECQqa426+d//LGZp3/0qDRypOnbj4lxurrg1rOn9N57ZjvKQMIgMBCg\nLMussClJGzaYLRF79TIra+bnS337+seOWW4QiFNB7UIAAK1s2zbpgQekAwdM1058vJnJM3So05W5\nEwEAwKfKy013TmmpWYDs3/5N+slP3Dn10N+4OQCYBgr4wJkzpl/58cfNjJ3EROlb35ImTDBLMYwa\nxcnfX7h5PSCuAACbbNxounPKy6V775XCwqSEBOntt80AY8eOTleIprj5CoAAAGzw7rvS3Xebwd0O\nHaRly6Q77nC6KniDAHAY9wEgUNTWShUV5vtNm6S5c83J4+xZ6Xe/MxuodO5s1pdBYOjQIbACgPsA\nAAeUlEhjx5oNVUJDzd64ixeb6Zuhoe7aSCWYjBpldgUbPdrpSpqH+wAAHzl71uyOdfq0eXz6tLR8\nufTYY9KUKQzgBhO6gAA0KC01nwojIswNWZI54W/aJKWkOFsb7EcAAC5mWWZD9D/9yTzes0eaM0ea\nNo1P+m5AAAAu9eWXpktn1y5p/nzTl3/ddWbnLLgDAQC4xJYtZhmGs2fN49OnpVtukbZvN/P24T4E\nABCk6uul2bOl3/7WPK6rM9/362cet2ljZvPQ1eNeBAAQhGpqpIkTpU8/NTdqdexoPuVfc43TlcGf\ntG9/4YrQbfxiLSCPx2PbjQ1wt7IyKS1Niow067xXVZnZO9dfL4WHc/LH1wXaWkCFhYXyeDy2vBY3\ngiGgrVolPf20mckjSYcOmbtzR40yjyMi6N7B5S1ZIn34oZkJFki4EQyu9tJL5mT/+99L3bqZ58LC\nzJ25gLcCbSkIOxEA8HtffGHuwD116sJzZ85IW7dK//VfUlycc7Uh8DEIDPiZ8nLTnZOUJGVmmj79\nW25p/DtPPMGnfVw5AgDwI59/Lv3gB2Zj9KQkc/JfvdpM2QTs5uYA4P9S8CtVVdKIEVJWlvTKK2ZD\nlVWrOPnDd9wcAFwBwDHvvmv2xT2/4qZk1tv/6U+lefPM7J1hw5yrD+7g5gBgGihaVVGRmb0jSfn5\nZuesIUMa/07nzkzdROuprTU3DQbaPSJ2nDsJAPhcaan02WdmFk9OjjRrltkg/W//Vvr+952uDghM\nBAD83oEDUnq6lJhoHt93nzRunLM1AcGAG8Hgd956S5o+XTp3zjw+eFBasMCc+AH4FwIALfbnP5u1\nd86rrzebqMyfL/Xvb567+mozkweA//GLAPB4PMrIyFBGRobTpcBLe/dKt94q3Xxz4+cffli65x5n\nagLcoLCw0LbFMxkDQLMcP266c95913TtcLIHnMEYAHzq3Dnpf/+38XMPPih16SL94Q/SoEHO1AXA\nHgQAmlRfLw0dajZIb9v2wvNxcWYBto4dnasNgD0IAKi21tyUVVNz4bn33jPPHz/OMgxAsCIAoIUL\npXXrGs/WaddOWrmSkz8QzAgAF1m/XvrRj6SrrpJ27jSf+uvqzI5Iu3ZJ113ndIUAWhOf71xi2zZp\n5Eiz7d3Zs2bLxCNHzCJYq1dz8gfciGmgQaq0VFqxQrrhBunOO82Mndtuk55/3izNEBIi/ed/Ol0l\ngJZiGiguacoU6dprzWqbJSVm0/S5c00g7N8v3Xuv0xUCcBpXAEFk+3bTt3/0qNko/YMPzLIMjz8u\nFRay8iYQTFgNFA1OnpRiY81OWm3bSmPHSoMHmyWYX3nFLMMMIHgQAC5z+rTpvmnK735nQuC3v23V\nkgA4hDEAl5kwQXr/falTp6//rEMHs3cuAHiLAAgQ//M/ZjvF0tLA27oOgH8iAPzQ4cPS6NFSVdWF\n5/76V7MQGyd/AHYhAPzQ88+b/XJ//vMLz4WESElJztUEIPj4fBA4NzdXb7zxhr744gvl5ORo2LBh\njQtw6SDwxx+bO3EvZlnmLt0tW6Q+fVq/LgCBIaBmAZ08eVIPP/ywXnzxxcYFuDAAjh6VYmKkvn2b\n/vlNN0nPPNO6NQEILAE1C2j+/PmaOnVqa72dX1u92izPwKwdAE7yejG4SZMmKTw8XEkXdUTn5+cr\nISFBcXFxWrRokSRpzZo1mjFjhiorK2VZlmbOnKnbbrtNKSkp9lYfAD791PTpX/x1331OVwbA7bzu\nAioqKlJYWJgmTJigffv2SZLq6uoUHx+vgoICRUREKC0tTWvXrlWfr3ReL1myRKtXr1ZaWppSUlJ0\n//33Ny4gyLuARo40G6t8dbXNnj2lRx81A7sA0BKt2gWUnp6usrKyRs8VFxcrNjZW0dHRkqSsrCzl\n5uY2CoBp06Zp2rRpl31tj8fT8H1GRoYyMjK8LcuvHTtmBnM/+0zq3NnpagAEssLCQhUWFtr6mlc0\nBlBRUaGoqKiGx5GRkdqxY0ezX+erARAoDh82N2Zdzvbt0t/9HSd/AFfu4g/Hjz322BW/5hUFQIiL\n+zCmTDGf8MPDL/07ISGmqwcA/NEVBUBERITKy8sbHpeXlysyMvKKi/J3p05JmzebAd6uXZ2uBgBa\n5oq2hBwwYIBKSkpUVlammpoarVu3TpmZmc1+HY/HY3vfli9t2CDdfDMnfwCtr7Cw0LZuc69nAWVn\nZ2vr1q06duyYunfvrnnz5mnixInKy8vT9OnTVVdXp5ycHM2ePbt5BfjhLKAVK6RHHjFr6E+bJn3v\ne+ZT/3lnz5rfuftu52oE4G4BdSfwJQvwwwC4+WZp3Djpn/5J+pd/kd57T1qy5MLP27SRvvUt5+oD\nAALAB44dMwuxHTliNlL//HNz8h892unKAOCCgFoK4nI8Hk+rzP+vrTX/hoaafw8elM6da/w7b7wh\nDRliNlgZMUJ66inpovXrAMAxdt4P4KorgIcekq6+2myU/t570i23ND2Nc+lS6cc/lv7yF+nXv5ae\nfbZVygMAr9EF1ExJSSYAioulBQvMqpy/+lWrvDUA2MqOc+cVTQMNJEeOSOXl0gcfmM3TN2+WfvAD\np6sCAOe4Zgxgyxbp+983Uzg3bpR27DBdQAAQSBgD+H9///emO+f5582MnXfekf7hH6SBA00//vDh\nZlaPJB06JM2ZI1VXS4sWSb17m98HgEDk6jGAmhpzJ25WltSjhxnYnTPHdPWsWydt2yaNGSP94Q8X\n/qZvX6m+3nQD9ex5+XV8AMCfBc000JbYvVuKizPz859+2jz39tvS7Nlmhs/y5VJ6upSa+vW/beo5\nAHCbgB0Efucds3fuoEHSf/+36drZudN0/9x0k9l28aabnK4SAPyXXwRASxaDe+cdafBg0w0UGSn9\n/vdSr15miYbBg6UvvzT/AkAwcWQxOF8JCQlRZaWlefOkZcvMc+PGSXv3mk/xKSlmyuY//mPjv/v4\nY3OjVkyM9LOfmX7/rCxz49ZHH5krgc8/l9q2bf02AYCvBc0g8Pbtlm69VaqqkurqzKf4kSOltDRp\nxgzpF78wyzjk5Fz4uw4dpNhY8/2pU2Zt/l69pE6dzHMnTrBcM4DgFTSDwFVVpsvmwAEzuyc2Vho6\nVDrfK7R7twmCfv2a/vtOnb7+M07+AHB5fjEGcH6t/T17zFdKivnas0eyrAvPAQDs4xdXAOcDYPdu\ncwWQmmrm7H/0kfTJJ2b9/R49nK0RAIKNXwTAK694FBGRoT17MlRTY/r/27c38/z//d/Np38X7z8P\nAA2CbimI+fMtlZZKa9aYE31lpdStm3T//WbrxTlzpHnznKwSAPxL0MwCmjXLUqdOF6Z6XnON+ffc\nOTNA3Lmz6QYCABhBsxz0qVNmJs8111w4+UtSu3ZmSignfwCwn1+cWs8HAACg9RAAAOBSfhEAVVVS\nWJjTVQCAu/hFAHzwgUclJYVOlwEAfi/oFoPr29fS2rVm03YAwDcLqllAdAEBQOvyiwCoqmIQGABa\nm18EALOAAKD1+UUASGbtHwBA6/GLAKD/HwBan18EAN0/AND6CAAAcCm/CICTJz22rW8NAMEs6G4E\nGzrU0qZNTlYBAIElaG4EGzPG6QoAwH384grA4RIAIOAEzRUAAKD1EQAA4FIEAAC4FAEAAC5FAACA\nSxEAAOBSBAAAuBQBAAAuRQAAgEv5RQB4PCwGBwDeCLrF4FgKAgCah6UgAAAtRgAAgEsRAADgUgQA\nALgUAQAALkUAAIBLEQAA4FIEAAC4FAEAAC5FAACASxEAAOBSBAAAuBQBAAAuRQAAgEsRAADgUgQA\nALiUTwPgwIEDmjJliu666y6tWLHCl28FAGgmnwZAQkKCli1bppdfflkbN2705Vv5rWDf6pL2Ba5g\nbpsU/O2zg8+7gF5//XWNGDFCWVlZvn4rvxTs/xHSvsAVzG2Tgr99dvAqACZNmqTw8HAlJSU1ej4/\nP18JCQmKi4vTokWLJElr1qzRjBkzVFlZKUm6/fbblZeXp1WrVtlcOgDgSrTz5pcmTpyoBx98UBMm\nTGh4rq6uTlOnTlVBQYEiIiKUlpamzMxMjR8/XuPHj5ckbd26Va+++qqqq6s1ZMgQ37QAANAylpdK\nS0utfv36NTx+++23reHDhzc8XrhwobVw4UJvX66BJL744osvvlrwdaW8ugJoSkVFhaKiohoeR0ZG\naseOHc1+HZMBAIDW1uJB4JCQEDvrAAC0shYHQEREhMrLyxsel5eXKzIy0paiAAC+1+IAGDBggEpK\nSlRWVqaamhqtW7dOmZmZdtYGAPAhrwIgOztbgwcP1ocffqioqCitXLlS7dq109KlSzV8+HAlJiZq\n7Nix6tOnT7PevKlppIEuOjpa/fv3V2pqqm688UZJ0vHjxzVs2DD17t1bP/zhD3Xy5EmHq/ReU1OA\nL9eehQsXKi4uTgkJCXrzzTedKNlrTbXN4/EoMjJSqampSk1NVV5eXsPPAqltkrkqHzJkiPr27at+\n/fppyZIlkoLn+F2qfcFyDKurqzVw4EClpKQoMTFRs2fPlmTz8bviYeQWOnfunBUTE2OVlpZaNTU1\nVnJysrV//36nyrFNdHS0dezYsUbPPfLII9aiRYssy7KsJ5980po5c6YTpbXItm3brF27djWaAXap\n9rz//vtWcnKyVVNTY5WWlloxMTFWXV2dI3V7o6m2eTwe65lnnvna7wZa2yzLsg4dOmTt3r3bsizL\nOnXqlNW7d29r//79QXP8LtW+YDqGp0+ftizLsmpra62BAwdaRUVFth4/xxaDKy4uVmxsrKKjoxUa\nGqqsrCzl5uY6VY6trItmNr322mu65557JEn33HOP1q9f70RZLZKenq6uXbs2eu5S7cnNzVV2drZC\nQ0MVHR2t2NhYFRcXt3rN3mqqbVLTM9MCrW2S9J3vfEcpKSmSpLCwMPXp00cVFRVBc/wu1T4peI5h\nx44dJUk1NTWqq6tT165dbT1+jgVAU9NIzx+8QBYSEqKhQ4dqwIAB+s1vfiNJOnLkiMLDwyVJ4eHh\nOnLkiJMlXrFLtaeysrLRRIBAPabPPvuskpOTlZOT03B5HehtKysr0+7duzVw4MCgPH7n2zdo0CBJ\nwXMM6+vrlZKSovDw8IbuLjuPn2MBEKzTSN966y3t3r1beXl5eu6551RUVNTo5yEhIUHV9m9qT6C1\ndcqUKSotLdWePXvUo0cPPfTQQ5f83UBpW1VVlUaNGqXFixerU6dOjX4WDMevqqpKo0eP1uLFixUW\nFhZUx7BNmzbas2ePDh48qG3btmnLli2Nfn6lx8+xAAjWaaQ9evSQJF177bUaOXKkiouLFR4ersOH\nD0uSDh06pO7duztZ4hW7VHsuPqYHDx5URESEIzW2VPfu3Rv+TzV58uSGS+hAbVttba1GjRql8ePH\n684775QUXMfvfPvGjRvX0L5gO4aS1KVLF40YMUI7d+609fg5FgDBOI30zJkzOnXqlCTp9OnTevPN\nN5WUlKTMzMyGxfBWrVrV8B9qoLpUezIzM/Xyyy+rpqZGpaWlKikpaZgJFSgOHTrU8P0f//jHhhlC\ngdg2y7KUk5OjxMRETZ8+veH5YDl+l2pfsBzDo0ePNnRfnT17Vps2bVJqaqq9x89nw9de2LBhg9W7\nd28rJibGWrBggZOl2OKTTz6xkpOTreTkZKtv374NbTp27Jh16623WnFxcdawYcOsEydOOFyp97Ky\nsqwePXpYoaGhVmRkpPXSSy9dtj1PPPGEFRMTY8XHx1v5+fkOVv7NLm7bihUrrPHjx1tJSUlW//79\nrTvuuMM6fPhww+8HUtssy7KKioqskJAQKzk52UpJSbFSUlKsvLy8oDl+TbVvw4YNQXMM9+7da6Wm\nplrJyclWUlKS9dRTT1mWdfnzSXPbF2JZLMYDAG7EnsAA4FIEAAC4FAEAAC5FAACASxEAAOBSBAAA\nuNT/AZeeILEAxrJDAAAAAElFTkSuQmCC\n",
       "text": [
        "<matplotlib.figure.Figure at 0x391a510>"
       ]
      }
     ],
     "prompt_number": 4
    },
    {
     "cell_type": "heading",
     "level": 2,
     "metadata": {},
     "source": [
      "Using Python `for` Loops"
     ]
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "If you prefer not to use Essentia to segment your signal, you can use a standard `for` loop:"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "semilogy([zcr(x[i:i+frame_sz]) for i in range(0, len(x), hop_sz)])"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 5,
       "text": [
        "[<matplotlib.lines.Line2D at 0x647fc50>]"
       ]
      },
      {
       "metadata": {},
       "output_type": "display_data",
       "png": "iVBORw0KGgoAAAANSUhEUgAAAYAAAAEBCAYAAABxK3LCAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nAAAASxEAAGApAgAALEUAAICl/g+45u075tKQGAAAAABJRU5ErkJggg==\n",
       "text": [
        "<matplotlib.figure.Figure at 0x391ac10>"
       ]
      }
     ],
     "prompt_number": 5
    },
    {
     "cell_type": "heading",
     "level": 2,
     "metadata": {},
     "source": [
      "Example: Spectrogram"
     ]
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "from essentia.standard import Spectrum, Windowing, FrameGenerator\n",
      "hamming_window = Windowing(type='hamming')\n",
      "spectrum = Spectrum()  # we just want the magnitude spectrum\n",
      "\n",
      "spectrogram = array([spectrum(hamming_window(frame))\n",
      "                     for frame in FrameGenerator(x, frameSize=1024, hopSize=500)])\n",
      "print spectrogram.shape"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "output_type": "stream",
       "stream": "stdout",
       "text": [
        "(266, 513)\n"
       ]
      }
     ],
     "prompt_number": 6
    },
    {
     "cell_type": "code",
     "collapsed": false,
     "input": [
      "imshow(spectrogram.T, origin='lower', aspect='auto', interpolation='nearest')\n",
      "ylabel('Spectral Bin Index')\n",
      "xlabel('Frame Index')"
     ],
     "language": "python",
     "metadata": {},
     "outputs": [
      {
       "metadata": {},
       "output_type": "pyout",
       "prompt_number": 7,
       "text": [
        "<matplotlib.text.Text at 0x62611d0>"
       ]
      },
      {
       "metadata": {},
       "output_type": "display_data",
       "png": "iVBORw0KGgoAAAANSUhEUgAAAYIAAAEGCAYAAABo25JHAAAABHNCSVQICAgIfAhkiAAAAAlwSFlz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\nREQsTolARMTilAhERCxOiUBExOL+P84zuCDHW/xFAAAAAElFTkSuQmCC\n",
       "text": [
        "<matplotlib.figure.Figure at 0x3940d50>"
       ]
      }
     ],
     "prompt_number": 7
    },
    {
     "cell_type": "markdown",
     "metadata": {},
     "source": [
      "(There are easier ways to display a spectrogram, e.g. using Matplotlib or `librosa`. This example was just used to illustrate segmentation in Essentia.)"
     ]
    }
   ],
   "metadata": {}
  }
 ]
}